## qwtplot3d 0.2.7%2Bsvn191

=== debian/changelog ===
qwtplot3d (0.2.7+svn191-7) unstable; urgency=low

  * Remove -lGLU from examples/common.pro, Reverting
    last change.
  * Add -lGLU to qwtplot3d.pro and add dependency on
    libglu1-mesa-dev | libglu-dev (Closes: #672873)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 16 May 2012 05:08:10 +0200

qwtplot3d (0.2.7+svn191-6) unstable; urgency=low

  * Fix ftbs (Closes: #672023, #665750)
  * Bump standards version to 3.9.3
  * Set debhelper dependency to >=8
  * Add build-arch and build-indep to rules
  * Change copyright to copyright-format 1.0
  * Add -lGLU to examples library dependencies

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 12 May 2012 08:11:28 +0200

qwtplot3d (0.2.7+svn191-5) unstable; urgency=low

  * Remove qt3 support (Closes: #604380)
  * Bump standards version to 3.9.1
  * Remove README.source
  * Switch to dpkg-source 3.0 (quilt) format
  * Rewrite patches in quilt format
  * Add dependency on zlib1g-dev
  * Upgrade copyright file to current format
  * Add watch file
  * Add misc Depends
  * Add doc-base file
  * Remove qt3 related things from patches

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 03 Mar 2011 09:47:22 +0100

qwtplot3d (0.2.7+svn191-4) unstable; urgency=low

  * Add conflicts and replaces on the old packages libqwtplot3d-qt{3,4}

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 21 Nov 2009 17:44:53 +0100

qwtplot3d (0.2.7+svn191-3) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * Create patch 03_fix_ftbs to fix FTBS with gcc-4.4 (Closes: 504912)
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source
  * Add Vcs fields for debian-science

  [ Andreas Tille ]
  * Group maintenance in Debian Science team with permission of maintainer
  * Debhelper 7
  * Rename package libqwtplot3d-qt[34] to libqwtplot3d-qt[34]-0 to match
    soname
  * Remove unneeded debian/*.dirs files because theses dirs will be
    created by dh_install automatically anyway

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2009 11:44:36 +0100

qwtplot3d (0.2.7+svn191-2) unstable; urgency=low

  * Added dependency on libqt4-opengl-dev. (Closes: #482252)
  * Bump standards version to 3.7.3. No changes needed.
  * Add a homepage field to control file.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 27 May 2008 10:24:26 +0200

qwtplot3d (0.2.7+svn191-1) unstable; urgency=low

  * An SVN version. Includes patches necessary for PyQwt3d.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 23 Aug 2007 12:36:37 +0200

qwtplot3d (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Changed the rules file. The original tgz file can be used directly now.
  * Repatched the new release.
  * Changed line endings with dos2unix in original tarball.
  * Examples are not gzipped anymore.
  * Changed maintainers email.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 27 Jun 2007 10:19:39 +0200

qwtplot3d (0.2.6+svn170-1) unstable; urgency=low

  * Initial release (Closes: #408538)

 -- Gudjon I. Gudjonsson <gudjon@mc2.chalmers.se>  Fri, 26 Jan 2007 13:37:18 +0100
