## qwtplot3d 0.2.7+svn191

=== debian/changelog ===
qwtplot3d (0.2.7+svn191-5ubuntu2) precise; urgency=low

  * Add build-depends on libglu1-mesa-dev to make sure it is installed since
    the package uses glu

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Mar 2012 01:39:29 -0400

qwtplot3d (0.2.7+svn191-5ubuntu1) precise; urgency=low

  * Fix FTBFS with Qt 4.8.
    - Add 04_glu_include.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 25 Mar 2012 19:21:28 +0200
