=== debian/control ===
Source: qwtplot3d
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7), doxygen, libqt4-dev, libqt4-opengl-dev, zlib1g-dev, libglu1-mesa-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://qwtplot3d.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qwtplot3d/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/qwtplot3d/trunk
DM-Upload-Allowed: yes

Package: libqwtplot3d-qt4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqwtplot3d-qt4-0 (= ${binary:Version}), libqt4-dev
Description: 3D plotting library based on Qt4/OpenGL (development)
 QwtPlot3D is a feature rich Qt/OpenGL-based C++ programming
 library, providing essentially a bunch of 3D-widgets for 
 programmers.
 .
 This package contains the QwtPlot3D development files for Qt4.

Package: libqwtplot3d-qt4-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libqwtplot3d-qt4
Replaces: libqwtplot3d-qt4
Description: 3D plotting library based on Qt4/OpenGL (runtime)
 QwtPlot3D is a feature rich Qt/OpenGL-based C++ programming
 library, providing essentially a bunch of 3D-widgets for 
 programmers.
 .
 This package contains the files necessary for running applications that
 use the QwtPlot3D library and Qt4.

Package: libqwtplot3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Description: 3D plotting library based on Qt/OpenGL (documentation)
 QwtPlot3D is a feature rich Qt/OpenGL-based C++ programming
 library, providing essentially a bunch of 3D-widgets for 
 programmers.
 .
 This package contains the html documentation and example
 programs.
