=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
version=0.2.7
major=0

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	mkdir -p build/qt4
	cp -Rl `ls . |grep -v build|grep -v debian` build/qt4
	cd build/qt4 && qmake-qt4 qwtplot3d.pro && $(MAKE)

	# Build the documentation
	cd build/qt4/doc && doxygen Doxyfile.doxygen

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd build/qt4 && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
	mkdir -p debian/tmp/usr/include/qwtplot3d-qt4
	cp -a include/* debian/tmp/usr/include/qwtplot3d-qt4
	mkdir -p debian/tmp/usr/share/doc/libqwtplot3d-doc/html
	cp build/qt4/doc/web/doxygen/* debian/tmp/usr/share/doc/libqwtplot3d-doc/html

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress --exclude=.cpp --exclude=.h --exclude=.pro --exclude=.ui
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
