=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p build-qt5
	cp -a doc build-qt5/
	QT_SELECT=qt5 dh_auto_configure --builddirectory=build-qt5 -- ../qwtplot3d.pro

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	cd build-qt5/doc && doxygen Doxyfile.doxygen

override_dh_auto_clean:
	rm -rf build-qt5

override_dh_auto_install:
	mkdir -p debian/tmp/usr/include/qwtplot3d
	cp -a include/* debian/tmp/usr/include/qwtplot3d
	dh_auto_install --builddirectory=build-qt5
	mkdir -p debian/tmp/usr/include/qwtplot3d
	cp -a include/* debian/tmp/usr/include/qwtplot3d
	find debian/tmp/usr -type f -name '*.md5' -exec rm -vf {} \;
	find debian/tmp/usr -type f -name '*.js' -exec rm -vf {} \;
	mkdir -p debian/tmp/usr/share/doc/libqwtplot3d-doc/html
	cp -a build-qt5/doc/web/doxygen/* debian/tmp/usr/share/doc/libqwtplot3d-doc/html

override_dh_compress-indep:
	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm --exclude=.ui
